<?php

namespace Testpackageprovider\Test\Repositories\Eloquent;

use Testpackageprovider\Test\Interfaces\TestarticlesRepositoryInterface;
use Litepie\Database\Eloquent\BaseRepository;

class TestarticlesRepository extends BaseRepository implements TestarticlesRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Database\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.test.testarticles.model');
    }
}
