<?php

// Admin routes for testarticles
Route::group(['prefix' => trans_setlocale().'/admin/test', 'middleware' => ['web', 'auth.role:admin']], function () {
    Route::resource('testarticles', 'Testpackageprovider\Test\Http\Controllers\TestarticlesAdminController');
});

// User routes for testarticles
Route::group(['prefix' => trans_setlocale().'/user/test', 'middleware' => ['web', 'auth.role:user']], function () {
    Route::resource('testarticles', 'Testpackageprovider\Test\Http\Controllers\TestarticlesUserController');
});

// Public routes for testarticles
Route::group(['prefix' => trans_setlocale(), 'middleware' => ['web']], function () {
    Route::get('test/testarticles', 'Testpackageprovider\Test\Http\Controllers\TestarticlesPublicController@index');
    Route::get('test/testarticles/{slug?}', 'Testpackageprovider\Test\Http\Controllers\TestarticlesPublicController@show');
});
// Admin routes for user
Route::group(['prefix' => trans_setlocale().'/admin/test', 'middleware' => ['web', 'auth.role:admin']], function () {
    Route::resource('user', 'Testpackageprovider\Test\Http\Controllers\UserAdminController');
});

// User routes for user
Route::group(['prefix' => trans_setlocale().'/user/test', 'middleware' => ['web', 'auth.role:user']], function () {
    Route::resource('user', 'Testpackageprovider\Test\Http\Controllers\UserUserController');
});

// Public routes for user
Route::group(['prefix' => trans_setlocale(), 'middleware' => ['web']], function () {
    Route::get('test/user', 'Testpackageprovider\Test\Http\Controllers\UserPublicController@index');
    Route::get('test/user/{slug?}', 'Testpackageprovider\Test\Http\Controllers\UserPublicController@show');
});
